Bug 504355 - rs200/igp340m fails to do drm/dri/kms
rs200/igp340m fails to do drm/dri/kms
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
http://pastebin.com/m17203cc2
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-05 14:54 EDT by Joshua Roys
Modified: 2009-11-12 13:36 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-12 13:36:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joshua Roys 2009-06-05 14:54:07 EDT
Description of problem:
It boots and does mesa swrast, but fails to do dri/kms.  It used to be able to do dri.

Version-Release number of selected component (if applicable):
(basically latest f11)
kernel-PAE-2.6.29.4-167.fc11.i686
mesa-dri-drivers-7.5-0.14.fc11.i586
xorg-x11-drv-ati-6.12.2-14.fc11.i586
xorg-x11-server-Xorg-1.6.1.901-1.fc11.i586

How reproducible:
boot

Steps to Reproduce:
1.
2.
3.
  
Actual results:
no dri/kms shinyness

Expected results:
ooooh, aaaah

Additional info:
I'll copy pastebin here, since it only lasts for a month.

[drm] Initialized drm 1.1.0 20060810
radeon 0000:01:05.0: power state changed by ACPI to D0
ACPI: PCI Interrupt Link [LNK0] enabled at IRQ 10
radeon 0000:01:05.0: PCI INT A -> Link[LNK0] -> GSI 10 (level, low) -> IRQ 10
[drm] Detected VRAM RAM=65536K, accessible=65536K, BAR=131072K
agpgart-ati 0000:00:00.0: AGP 2.0 bridge
agpgart-ati 0000:00:00.0: putting AGP V2 device into 4x mode
radeon 0000:01:05.0: putting AGP V2 device into 4x mode
[drm] setting agp_base to d4000000
[drm] setting agp_location to d4000000
[drm:drm_agp_bind_ttm] *ERROR* AGP Bind memory failed
[drm:drm_ttm_bind] *ERROR* Couldn't bind backend.
[drm:drm_buffer_object_validate] *ERROR* Failed moving buffer. ea46ca00 256 2000031 10000a0
[drm:radeon_alloc_gart_objects] *ERROR* failed to allocate ring - most likely an AGP driver bug
radeon 0000:01:05.0: PCI INT A disabled
radeon: probe of 0000:01:05.0 failed with error -22

00:00.0 Host bridge: ATI Technologies Inc RS200/RS200M AGP Bridge [IGP 340M] (rev 02)
	Flags: bus master, 66MHz, medium devsel, latency 64
	Memory at d4000000 (32-bit, prefetchable) [size=64M]
	Memory at d0007000 (32-bit, prefetchable) [size=4K]
	Capabilities: [a0] AGP version 2.0
	Kernel driver in use: agpgart-ati

00:01.0 PCI bridge: ATI Technologies Inc PCI Bridge [IGP 340M] (prog-if 00 [Normal decode])
	Flags: bus master, 66MHz, medium devsel, latency 99
	Bus: primary=00, secondary=01, subordinate=01, sec-latency=68
	I/O behind bridge: 00009000-00009fff
	Memory behind bridge: d0300000-d03fffff
	Prefetchable memory behind bridge: d8000000-dfffffff

http://smolt.fedoraproject.org/client/show/?uuid=pub_6e4de3c3-e060-4f62-8e91-4ea96d25939d
Comment 1 Daniele Branchini 2009-07-02 06:06:04 EDT
Similar (?) things down here.

2.6.29.5-191.fc11.i586
other packages identical

(...)
[drm] Initialized drm 1.1.0 20060810
alim7101_wdt: Steve Hill <steve@navaho.co.uk>.
alim7101_wdt: Detected old alim7101 revision 'a1d'.  If this is a cobalt board, set the 'use_gpio' module parameter.
radeon 0000:01:05.0: power state changed by ACPI to D0
ACPI: PCI Interrupt Link [LNK0] enabled at IRQ 10
radeon 0000:01:05.0: PCI INT A -> Link[LNK0] -> GSI 10 (level, low) -> IRQ 10
[drm] Detected VRAM RAM=65536K, accessible=65536K, BAR=131072K
agpgart-ati 0000:00:00.0: AGP 2.0 bridge
agpgart-ati 0000:00:00.0: putting AGP V2 device into 4x mode
radeon 0000:01:05.0: putting AGP V2 device into 4x mode
[drm] setting agp_base to d4000000
[drm] setting agp_location to d4000000
[drm:drm_agp_bind_ttm] *ERROR* AGP Bind memory failed
[drm:drm_ttm_bind] *ERROR* Couldn't bind backend.
[drm:drm_buffer_object_validate] *ERROR* Failed moving buffer. dace0500 256 2000031 10000a0
[drm:radeon_alloc_gart_objects] *ERROR* failed to allocate ring - most likely an AGP driver bug
(...)

00:00.0 Host bridge: ATI Technologies Inc RS200/RS200M AGP Bridge [IGP 340M] (rev 02)
	Flags: bus master, 66MHz, medium devsel, latency 64
	Memory at d4000000 (32-bit, prefetchable) [size=64M]
	Memory at d0009000 (32-bit, prefetchable) [size=4K]
	Capabilities: <access denied>
	Kernel driver in use: agpgart-ati

00:01.0 PCI bridge: ATI Technologies Inc PCI Bridge [IGP 340M] (prog-if 00 [Normal decode])
	Flags: bus master, 66MHz, medium devsel, latency 99
	Bus: primary=00, secondary=01, subordinate=01, sec-latency=68
	I/O behind bridge: 00009000-00009fff
	Memory behind bridge: d0300000-d03fffff
	Prefetchable memory behind bridge: d8000000-dfffffff
Comment 2 Jérôme Glisse 2009-10-14 07:19:26 EDT
Can you test with fedora 12 livecd and report if it works with it.
Comment 3 Joshua Roys 2009-11-08 16:19:10 EST
I have to pass nomodeset and then it works...  with kms, the screen "goes black" e.g. it's still on but there's nothing on the screen (even a cursor).  Background activity seems to continue, and in fact if I leave it alone long enough the screen power-saves... and mouse/keyboard activity brings it back.  netconsole doesn't seem to be working for some reason, so I can't get a debug log at this time.  (is networking not coming up until I login?  can I force it to come up?)
Summary:
ums/nomodeset -> works
kms -> fail

Maybe in a little I'll actually install to the HDD and see if it writes anything useful to the syslog.
Comment 4 Joshua Roys 2009-11-12 11:41:02 EST
the laptop/card now does kms - I have opened a new bug for the "blank screen" issue: bug 537140
close?
thanks.
Comment 5 Jérôme Glisse 2009-11-12 13:36:19 EST
Ok, closing.

Note You need to log in before you can comment on or make changes to this bug.